Bug 999976 - [JBossAS7] - editing XA datasource configuration fails
[JBossAS7] - editing XA datasource configuration fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.10
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 09:33 EDT by Filip Brychta
Modified: 2014-04-23 08:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:32:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-08-22 09:33:50 EDT
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version: 4.9.0-SNAPSHOT
Build Number: 434b099

How reproducible:
Always

Steps to Reproduce:
1. eap6 standalone is imported
2. create an XA datasource
  a. navigate to datasources
  b. create child->XADataSource (Standalone)
  c. use following properties: Xa Datasource Class = org.h2.jdbcx.JdbcDataSource,Jndi Name = java:jboss/datasources/test, Driver Name = h2, XA datasource properties - key=url and value = jdbc:h2:mem:test;DB_CLOSE_DELAY=-1
 
3. wait until created datasource appears in the inventory
4. try to change some property (i.e Min Pool Size) and update configuration

Actual results:
{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-10=JBAS014762: Removing services has lead to unsatisfied dependencies:JBAS014762: 
Service jboss.xa-data-source-config.gg.xa-datasource-properties.url was depended upon by service jboss.xa-data-source-config.gg}}, rolled-back=true

Expected results:
configuration is updated

Additional info:
possible regression caused by https://bugzilla.redhat.com/show_bug.cgi?id=895030#c3 ?
Comment 1 Thomas Segismont 2013-09-05 09:47:05 EDT
It fails because the datasource is still enabled. You need to disable the datasource first.

I'll add a check in DatasourceComponent#updateConfiguration and make the agent refuse the update request if the datasource is still enabled.
Comment 2 Thomas Segismont 2013-09-10 11:33:09 EDT
Fixed in master

commit 822e5583f684523c7db4cc54108840102291e2ac
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Fri Sep 6 17:12:56 2013 +0200
Comment 3 Filip Brychta 2013-10-18 07:29:21 EDT
Verified on 
Version: 4.10.0-SNAPSHOT
Build Number: 9eb9b7d

Used following scenario:
1-disable datasource
2-reload
3-edit configuration
4-enable datasource
5-reload
Comment 4 Heiko W. Rupp 2014-04-23 08:32:17 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.